"use strict";

Object.defineProperty(exports, "__esModule", {
    value: !0
}), exports.PathSemanticMark = void 0;

const vgrammar_core_1 = require("@visactor/vgrammar-core"), enums_1 = require("./enums"), semantic_mark_1 = require("./semantic-mark");

class PathSemanticMark extends semantic_mark_1.SemanticMark {
    constructor(id) {
        super(enums_1.PlotMakType.path, id);
    }
    setMarkType() {
        return vgrammar_core_1.GrammarMarkType.path;
    }
    parseScaleByEncode(channel, option) {
        return null;
    }
    convertMarkEncode(encode) {
        var _a, _b, _c, _d;
        const markEncoder = this.convertSimpleMarkEncode(encode), res = {};
        return markEncoder.stroke && (res.stroke = markEncoder.stroke), res.fill = null !== (_c = null !== (_a = markEncoder.color) && void 0 !== _a ? _a : null === (_b = this.spec.style) || void 0 === _b ? void 0 : _b.fill) && void 0 !== _c ? _c : null === (_d = this.getPalette()) || void 0 === _d ? void 0 : _d[0], 
        null;
    }
}

exports.PathSemanticMark = PathSemanticMark, PathSemanticMark.type = enums_1.PlotMakType.path;
//# sourceMappingURL=path.js.map